<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
?>

<div class="sbheader">
  <div class="sbmel">
    <img src="<?php echo plugins_url( '/subiz-logo.png' , dirname(__FILE__) ) ?>">
  </div>
  <div class="sbheadtext">
    <?php _e('Subiz Plugin Settings','subiz'); ?>
  </div>
</div>

<div class="sbsettingsbody">
	<div class="sbtabs">
	  <button class="sbtablinks" onclick="opentab(event, 'account')" id="defaultOpen"><?php _e('Installations', 'subiz'); ?></button>
	  <button class="sbtablinks" onclick="opentab(event, 'visibility')"><?php _e('Widget Customize', 'subiz'); ?></button>
    <button class="sbtablinks" onclick="opentab(event, 'notification')"><?php _e('Browser\'s Notification Options', 'subiz'); ?></button>
	</div>
  <form method="post" action="options.php">
     <?php
     settings_fields( 'subiz_options' );
     do_settings_sections( 'subiz_options' );
    $subiz_licence_id_chk =  get_option('subiz_licence_id','');
     $visibility = get_option( 'subiz-visibility-options',FALSE );
     if($visibility == FALSE){
     		$visibility = array (
  				'subiz_widget_color'=>'',
          'subiz_widget_button' => '',
  				'image_attachment_id' => '',
  				'image_attachment_id_2' => '',
  				'image_attachment_id_3' => '',
  				'subiz_notify_setting' => '',
  				'subiz_notify_text' => '',
  				'subiz_widget_button_width' => '',
  				'subiz_noti_button_default_l' => '',
  				'subiz_noti_button_default_r' => '',
  				'revert_default_l' => '',
  				'revert_default_r' => '',
  			);
     }
     ?>
     <div id="account" class="sbtabcontent" >
       <div class="wrap">
         <h2 style="margin-left:30px; margin-top: -16px;"><?php _e('Intergrate Subiz on your website', 'subiz'); ?></h2>
       <?php screen_icon() ?>
           <div class="metabox-holder meta-box-sortables ui-sortable pointer">
               <div class="postbox" id="subizActivateBox" style="float:left;width:30em;margin-right:20px;">

                   <div class="inside" style="padding: 0 10px;">
                       <p style="text-align:center"><img src="<?php echo(plugins_url('subiz-logo.png' , __FILE__ )); ?>" width="173" height="49" alt="Subiz Logo" /></p>

                           <p style="text-align:center"><a target="_blank" href="https://app.subiz.com/login" title="Subiz - Live support Solution for Business websites"><?php _e('Get Licence ID on your Subiz account', 'subiz'); ?></a></p>
                           <p style="text-align:center">
                               <strong><?php
                                   if (isset($subiz_licence_id_chk) && $subiz_licence_id_chk != '') {
                                       echo '<font color="green">'.__('Subiz has installed successfully', 'subiz').'</font>';
                                   } else {
                                       echo (__('Enter Subiz Licence ID to install the widget', 'subiz'));
                                   }
                                   ?></strong>
                           </p>
                           <p style="text-align:center">
                               Licence ID: <input type="text" name="subiz_licence_id" id="subiz_licence_id" value="<?php echo $subiz_licence_id_chk?>" style="width:75%" />
                           </p>
                           <p class="submit" style="text-align:center">
                               <input id="subiz_activate_bt" type="submit" class="subiz-submit" value="<?php
                               if (isset($subiz_licence_id_chk) && $subiz_licence_id_chk != '') {
                                   _e('Save New ID', 'subiz');
                               } else {
                                   _e('Install Subiz Widget', 'subiz');
                               }
                               ?>" />
                           </p>
                           <p style="text-align:center"><?php _e('Don’t have an account?', 'subiz'); ?> <a href="https://app.subiz.com/register?utm_source=Wordpress&utm_campaign=WP_Plug-in&utm_medium=Marketplace&utm_content=v4&utm_term=2019" title="Register for free subiz account"><?php _e('Register for FREE', 'subiz'); ?></a></p>
                       <p style="text-align:center"><small class="nonessential"><?php _e('Entering incorrect account will result in an error!', 'subiz'); ?></small></p>
                   </div>
               </div>
           </div>
       </div>
   	</div>

  <div id="visibility" class="sbtabcontent">
    <h2 style="margin-top: 4px; font-size: 23px; font-weight: 400; line-height: 29px;"><?php _e('Let choose the color and button for widget as you want', 'subiz'); ?></h2>
    <p>
      <strong>  <?php echo _e('Widget color', 'subiz');?>  </strong><strong><input type="text" name="subiz-visibility-options[subiz_widget_color]" id="subiz_widget_color" value="<?php echo $visibility['subiz_widget_color'];?>" style="width:75%" />
    </p>
    <p>
      <strong><?php echo _e('Widget button', 'subiz');?> </strong>
    </p>
    <p style="padding-left: 20px">
      <?php for ($i = 0; $i <= 7; $i++) {?>
        <label class="subiz-but">
          <input type="radio" name="subiz-visibility-options[subiz_widget_button]" value="https://filev4.subiz.com/bubble_0<?php echo $i;?>.svg" <?php checked( 'https://filev4.subiz.com/bubble_0'.$i.'.svg',$visibility['subiz_widget_button' ] ); ?>>
          <img src="https://filev4.subiz.com/bubble_0<?php echo $i;?>.svg" width="120">
          <input type='hidden' name='subiz-visibility-options[subiz_widget_button_width]' value='60'>
        </label>
      <?php } ?>
      <?php for ($i = 1; $i <= 9; $i++) {?>
        <label class="subiz-but">
          <input type="radio" name="subiz-visibility-options[subiz_widget_button" value="https://filev4.subiz.com/bubble_lib_0<?php echo $i;?>.svg" <?php checked( 'https://filev4.subiz.com/bubble_lib_0'.$i.'.svg',$visibility['subiz_widget_button'] ); ?>>
          <img src="https://filev4.subiz.com/bubble_lib_0<?php echo $i;?>.svg" width="120">
          <input type='hidden' name='subiz-visibility-options[subiz_widget_button_width]' value='250'>
        </label>
      <?php } ?>
      <?php for ($i = 10; $i <= 15; $i++) {?>
        <label class="subiz-but">
          <input type="radio" name="subiz-visibility-options[subiz_widget_button]" value="https://filev4.subiz.com/bubble_lib_<?php echo $i;?>.svg" <?php checked( 'https://filev4.subiz.com/bubble_lib_'.$i.'.svg',$visibility['subiz_widget_button' ] ); ?>>
          <img src="https://filev4.subiz.com/bubble_lib_<?php echo $i;?>.svg" width="120">
          <input type='hidden' name='subiz-visibility-options[subiz_widget_button_width]' value='250'>
        </label>
      <?php } ?>
      <?php for ($i = 1; $i <= 9; $i++) {?>
        <label class="subiz-but">
          <input type="radio" name="subiz-visibility-options[subiz_widget_button]" value="https://filev4.subiz.com/bubble_lib_chat_box_0<?php echo $i;?>.png" <?php checked( 'https://filev4.subiz.com/bubble_lib_chat_box_0'.$i.'.png',$visibility['subiz_widget_button'] ); ?>>
          <img src="https://filev4.subiz.com/bubble_lib_chat_box_0<?php echo $i;?>.png" width="120">
          <input type='hidden' name='subiz-visibility-options[subiz_widget_button_width]' value='250'>
        </label>
      <?php } ?>
      <?php for ($i = 10; $i <= 20; $i++) {?>
        <label class="subiz-but">
          <input type="radio" name="subiz-visibility-options[subiz_widget_button" value="https://filev4.subiz.com/bubble_lib_chat_box_<?php echo $i;?>.png" <?php checked( 'https://filev4.subiz.com/bubble_lib_chat_box_'.$i.'.png',$visibility['subiz_widget_button' ] ); ?>>
          <img src="https://filev4.subiz.com/bubble_lib_chat_box_<?php echo $i;?>.png" width="120">
          <input type='hidden' name='subiz-visibility-options[subiz_widget_button_width]' value='250'>
        </label>
      <?php } ?>
      <?php for ($i = 1; $i <= 4; $i++) {?>
        <label class="subiz-but">
          <input type="radio" name="subiz-visibility-options[subiz_widget_button" value="https://filev4.subiz.com/bubble_event_a_new_year_0<?php echo $i;?>.png" <?php checked( 'https://filev4.subiz.com/bubble_event_a_new_year_0'.$i.'.png',$visibility['subiz_widget_button'] ); ?>>
          <img src="https://filev4.subiz.com/bubble_event_a_new_year_0<?php echo $i;?>.png" width="120">
          <input type='hidden' name='subiz-visibility-options[subiz_widget_button_width]' value='250'>
        </label>
      <?php } ?>
    </p>
	</div>

	<div id="notification" class="sbtabcontent">
    <h2 style="margin-top: 4px; font-size: 23px; font-weight: 400; line-height: 29px;"><?php _e('Set up notification on browser', 'subiz'); ?></h2>
    <p>
      <label class="wrapper" for="states"><?php _e('Please select a style for Notification Button', 'subiz'); ?></label>
        <select id="noti-selector">
           <option value="s1" <?php echo (($visibility['subiz_notify_setting'] == 's1')?'selected':"");?>>Style 1</option>
           <option value="s2" <?php echo (($visibility['subiz_notify_setting'] == 's2')?'selected':"");?>>Style 2</option>
           <option value="s3" <?php echo (($visibility['subiz_notify_setting'] == 's3')?'selected':"");?>>Style 3</option>
        </select>
        <input type='hidden' name='subiz-visibility-options[subiz_notify_setting]' id='subiz_notify_setting' value='<?php echo $visibility['subiz_notify_setting']; ?>'>
      <div class="selection-output">
        <div id="s1" class="notis s1">
          <p>
          </p>
            <?php
          	wp_enqueue_media();
          	?>
            <img src='<?php echo (plugins_url('noti_style_1.jpg' , __FILE__ )); ?>' width='600'>
          		<div class='image-preview-wrapper'>
          			<img id='image-preview' src='<?php echo wp_get_attachment_url($visibility['image_attachment_id'] ); ?>' width='200'>
          		</div>
              <p>
                <?php _e('Upload your logo', 'subiz'); ?>
              </p>
          		<input id="upload_image_button" type="button" class="button" value="<?php _e( 'Upload image' ); ?>" />
          		<input type='hidden' name='subiz-visibility-options[image_attachment_id]' id='image_attachment_id' value='<?php echo $visibility['image_attachment_id']; ?>'>
              <p>
                <?php _e('Change your text', 'subiz'); ?>
              </p>
              <textarea name="subiz-visibility-options[subiz_notify_text]" id="subiz_notify_text" rows="5" cols="50"><?php echo $visibility['subiz_notify_text']; ?></textarea>

          <?php
          $my_saved_attachment_post_id = isset($visibility['media_selector_attachment_id']) ? $visibility['media_selector_attachment_id'] : 0 ;
          	?>
  <script type='text/javascript'>
		jQuery( document ).ready( function( $ ) {
			var file_frame;
			var wp_media_post_id = wp.media.model.settings.post.id; // Store the old id
			var set_to_post_id = <?php echo($my_saved_attachment_post_id) ; ?>; // Set this
			jQuery('#upload_image_button').on('click', function( event ){
				event.preventDefault();
				if ( file_frame ) {
					file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
					file_frame.open();
					return;
				} else {
					wp.media.model.settings.post.id = set_to_post_id;
				}
				file_frame = wp.media.frames.file_frame = wp.media({
					title: 'Select a image to upload',
					button: {
						text: 'Use this image',
					},
					multiple: false
				});
				file_frame.on( 'select', function() {
					attachment = file_frame.state().get('selection').first().toJSON();
					$( '#image-preview' ).attr( 'src', attachment.url ).css( 'width', 'auto' );
					$( '#image_attachment_id' ).val( attachment.id );
					wp.media.model.settings.post.id = wp_media_post_id;
				});
					file_frame.open();
			});
			jQuery( 'a.add_media' ).on( 'click', function() {
				wp.media.model.settings.post.id = wp_media_post_id;
			});
		});
	</script>
          </p>
        </div>

        <div id="s2" class="notis s2">
          <?php
          wp_enqueue_media();
          ?>
            <img src='<?php echo (plugins_url('noti_style_2.jpg' , __FILE__ )); ?>' width='600'>
            <div class='image-preview-wrapper'>
              <img id='image-preview-2' src='<?php echo wp_get_attachment_url($visibility['image_attachment_id_2'] ); ?>' width='200'>
            </div>
            <p>
              <?php _e('Upload an image to use as the button', 'subiz'); ?>
            </p>
            <input id="upload_image_button_2" type="button" class="button" value="<?php _e( 'Upload image', 'subiz' ); ?>" />
            <input type='hidden' name='subiz-visibility-options[image_attachment_id_2]' id='image_attachment_id_2' value='<?php echo $visibility['image_attachment_id_2']; ?>' >
            <p>
              <?php _e('Reverse to default button (select below)', 'subiz'); ?>
            </p>
            <p>
              <?php _e('Yes', 'subiz');?>
              <input type="radio" name="subiz-visibility-options[revert_default_r]" value="set" <?php checked( 'set',$visibility['revert_default_r'] ); ?>/>
              <?php _e('No', 'subiz');?>
              <input type="radio" name="subiz-visibility-options[revert_default_r]" value="no" <?php checked( 'no',$visibility['revert_default_r'] ); ?> />
            </p>
            <p>
              <?php _e('Select default button', 'subiz'); ?>
            </p>
            <p style="padding-left: 20px">
              <?php for ($i = 1; $i <= 5; $i++) {
                $button_img = plugins_url("../assets/buttons/right/default_".$i."_".get_locale().".png", __FILE__ ) ;
                ?>
                <label class="subiz-but-noti">
                  <input type="radio" name="subiz-visibility-options[subiz_noti_button_default_r]" value="<?php echo $button_img;?>" <?php checked( $button_img,$visibility['subiz_noti_button_default_r'] ); ?>>
                  <img src="<?php echo $button_img;?>" width="80">
                </label>
              <?php } ?>
            </p>
        <?php
        $my_saved_attachment_post_id_2 = isset($visibility['media_selector_attachment_id_2']) ? $visibility['media_selector_attachment_id_2'] : 0;
          ?>
<script type='text/javascript'>
  jQuery( document ).ready( function( $ ) {
    var file_frame;
    var wp_media_post_id = wp.media.model.settings.post.id; // Store the old id
    var set_to_post_id = <?php echo $my_saved_attachment_post_id_2; ?>; // Set this
    jQuery('#upload_image_button_2').on('click', function( event ){
      event.preventDefault();
      if ( file_frame ) {
        file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
        file_frame.open();
        return;
      } else {
        wp.media.model.settings.post.id = set_to_post_id;
      }
      file_frame = wp.media.frames.file_frame = wp.media({
        title: 'Select a image to upload',
        button: {
          text: 'Use this image',
        },
        multiple: false
      });
      file_frame.on( 'select', function() {
        attachment = file_frame.state().get('selection').first().toJSON();
        $( '#image-preview-2' ).attr( 'src', attachment.url ).css( 'width', 'auto' );
        $( '#image_attachment_id_2' ).val( attachment.id );
        wp.media.model.settings.post.id = wp_media_post_id;
      });
        file_frame.open();
    });
    jQuery( 'a.add_media' ).on( 'click', function() {
      wp.media.model.settings.post.id = wp_media_post_id;
    });
  });
</script>
        </div>

        <div id="s3" class="notis s3">
          <?php
          wp_enqueue_media();
          ?>
            <img src='<?php echo (plugins_url('noti_style_3.jpg' , __FILE__ )); ?>' width='600'>
            <div class='image-preview-wrapper'>
              <img id='image-preview-3' src='<?php echo wp_get_attachment_url($visibility['image_attachment_id_3'] ); ?>' width='200'>
            </div>
            <p>
              <?php _e('Upload an image to use as the button', 'subiz'); ?>
            </p>
            <input id="upload_image_button_3" type="button" class="button" value="<?php _e( 'Upload image', 'subiz' ); ?>" />
            <input type='hidden' name='subiz-visibility-options[image_attachment_id_3]' id='image_attachment_id_3' value='<?php echo$visibility['image_attachment_id_3']; ?>'>
            <p>
              <?php _e('Reverse to default button (select below)', 'subiz'); ?>
            </p>
            <p>
              <?php _e('Yes', 'subiz');?>
              <input type="radio" name="subiz-visibility-options[revert_default_l]" value="set" <?php checked('set',$visibility['revert_default_l']); ?> />
              <?php _e('No', 'subiz');?>
              <input type="radio" name="subiz-visibility-options[revert_default_l]" value="no" <?php checked('no',$visibility['revert_default_l']); ?> />
            </p>
            <p>
              <?php _e('Select default button', 'subiz'); ?>
            </p>
            <p style="padding-left: 20px">
              <?php for ($i = 1; $i <= 5; $i++) {
                $button_img = plugins_url("../assets/buttons/left/default_".$i."_".get_locale().".png" , __FILE__ );
                ?>
                <label class="subiz-but-noti">
                  <input type="radio" name="subiz-visibility-options[subiz_noti_button_default_l]" value="<?php echo $button_img;?>" <?php checked( $button_img,$visibility['subiz_noti_button_default_l'] ); ?>>
                  <img src="<?php echo $button_img;?>" width="80">
                </label>
              <?php } ?>
            </p>
        <?php
        $my_saved_attachment_post_id_3 = isset($visibility['media_selector_attachment_id_3']) ? $visibility['media_selector_attachment_id_3'] : 0;
          ?>
<script type='text/javascript'>
  jQuery( document ).ready( function( $ ) {
    var file_frame;
    var wp_media_post_id = wp.media.model.settings.post.id; // Store the old id
    var set_to_post_id = <?php echo $my_saved_attachment_post_id_3; ?>; // Set this
    jQuery('#upload_image_button_3').on('click', function( event ){
      event.preventDefault();
      if ( file_frame ) {
        file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
        file_frame.open();
        return;
      } else {
        wp.media.model.settings.post.id = set_to_post_id;
      }
      file_frame = wp.media.frames.file_frame = wp.media({
        title: 'Select a image to upload',
        button: {
          text: 'Use this image',
        },
        multiple: false
      });
      file_frame.on( 'select', function() {
        attachment = file_frame.state().get('selection').first().toJSON();
        $( '#image-preview-3' ).attr( 'src', attachment.url ).css( 'width', 'auto' );
        $( '#image_attachment_id_3' ).val( attachment.id );
        wp.media.model.settings.post.id = wp_media_post_id;
      });
        file_frame.open();
    });
    jQuery( 'a.add_media' ).on( 'click', function() {
      wp.media.model.settings.post.id = wp_media_post_id;
    });
  });
</script>
        </div>
      </div>
    </p>
	</div>


<div class="sbaction">
  <div class="sbfootaction">
  <?php submit_button(__('Save'), "subiz-submit subiz-main"); ?>
  </div>
  <div class="sbfoottext">
  <?php _e( 'Having trouble and need some help? Check out our website', 'subiz' ); ?> <a class="sblink" href="https://subiz.com/" target="_blank">subiz.com</a>
  </div>
</div>

</form>
